{ lib, config, pkgs, ... }: {
    config = lib.mkIf (config.syscfg.extra.wsl) {
    wsl.enable = true;
    wsl.defaultUser = config.syscfg.defaultUser;
    wsl.extraBin = with pkgs; [
        { src = "${coreutils}/bin/uname"; }
        { src = "${coreutils}/bin/dirname"; }
        { src = "${coreutils}/bin/readlink"; }
    ];
    
    wsl.wslConf.network.generateHosts = false;
    };
}